#global namedreltag -RC2
%global namedreltag -beta-1
%global namedversion %{version}%{?namedreltag}
#define with_xpmcore 0
Name:          metadata-extractor
Version:       2.4.0
Release:       %mkrel 2
Summary:       Extracts EXIF, IPTC and XMP metadata from image files
Group:         Development/Java
License:       ASL 2.0
Url:           http://www.drewnoakes.com/drewnoakes.com/code/exif/
#Source0:       http://metadata-extractor.googlecode.com/files/%{name}-%{namedversion}-src.jar
Source0:       http://www.drewnoakes.com/drewnoakes.com/code/exif/releases/%{name}-%{namedversion}-src.jar
# svn export http://metadata-extractor.googlecode.com/svn/trunk/Documentation
# Documentation/metadata-extractor-logo-30px.gif
# Documentation/javadoc-stylesheet.css
# tar czf metadata-extractor-2.5.0-RC2-Documentation-src-svn.tar.gz Documentation
Source1:       metadata-extractor-2.5.0-RC2-Documentation-src-svn.tar.gz
Source2:       http://maven.cloudhopper.com/repos/third-party/drew/%{name}/%{namedversion}/%{name}-%{namedversion}.pom
Patch0:        metadata-extractor-2.4.0-beta-1-build_xml.patch
Patch1:        metadata-extractor-2.4.0-beta-1-nosun.patch
#Patch0:        metadata-extractor-2.5.0-RC2-system_libs.patch
#Patch1:        metadata-extractor-2.5.0-RC2-no_xmpcore.patch
#Patch2:        metadata-extractor-2.5.0-RC2-JpegMetadataReader.patch
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: junit4
#if %with_xpmcore
#BuildRequires: xmpcore
#endif
Requires:      jdom
Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Metadata Extractor is a straightforward Java library for reading metadata from image files.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -c

rm -rf META-INF
#%if %with_xpmcore
#%patch0 -p0
#%else
#rm -rf Source/com/drew/metadata/xmp
#rm -rf Source/com/drew/metadata/adobe
#%patch1 -p0
#%patch2 -p0
#%endif
%patch0 -p0
%patch1 -p0

tar -xf %{SOURCE1}
find -name '*.jar' -exec rm -f '{}' \;
find -name '*.class' -exec rm -f '{}' \;
sed -i 's/\r//' ChangeLog.txt
# LICENSE-2.0.txt README.txt

# Disable junit tests
sed -i 's/depends="clean, compile, test"/depends="clean, compile"/' build.xml

for i in `find -name "*.java"`
do
        native2ascii -encoding UTF8 $i $i
done

%build
ant dist-binaries javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}


mkdir -p %{buildroot}%{_javadir}
install -pm 644 Releases/%{name}-%{namedversion}.jar \
  %{buildroot}%{_javadir}/%{name}-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)
mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE2} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr Javadoc/* %{buildroot}%{_javadocdir}/%{name}

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files 
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/metadata-extractor.jar
%{_mavenpomdir}/*.pom
%{_mavendepmapfragdir}/%{name}
%doc ChangeLog.txt
# LICENSE-2.0.txt README.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Wed Jan 16 2013 dmorgan <dmorgan> 2.4.0-2.mga3
+ Revision: 388865
- Fix files encoding

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 11 2011 gil <gil> 2.4.0-1.mga2
+ Revision: 166438
- imported package metadata-extractor

